Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008046opensim[MISC] Compiling / Buildingpublic2016-10-31 06:112017-05-23 01:53
Reporteraiaustin 
Assigned Tomelanie 
PrioritynormalSeveritymajorReproducibilityN/A
StatusassignedResolutionreopened 
PlatformPCOSWindowsOS Version10
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version0.9.0 
Summary0008046: Github dev Master vesion 0.9.1.0 change needs tag altering
Descriptiondev master was changed to version 0.9.1.0 from 0.9.9.0 by @Diva on 17-Oct-2016, but the "tag" used to create the .zip and .tar.gz downloads remains on 0.9.0. @Melanie indicates this can be changed by tagging the commit that changed the version number, or equivalent.
TagsNo tags attached.
Git Revision or version numberCurrent
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Files

- Relationships

-  Notes
(0031221)
melanie (administrator)
2016-10-31 06:58

Snagged, bagged and tagged.
(0031225)
aiaustin (developer)
2016-11-03 02:22
edited on: 2016-11-03 04:01

I waited until a new commit was made on the dev master Git, in case the tag/filename mapping only applied to commits after the tagging change...

http://opensimulator.org/viewgit/?a=shortlog&p=opensim [^]

But try downloading the .zip or .tar.gz of the latest commit and you will see that it still generates a file name with 0.9.0 in there rather than 0.9.1...

opensim-0.9.0-794-gf29d5ad.zip
opensim-0.9.0-794-gf29d5ad.tar.gz

(0031246)
aiaustin (developer)
2016-11-05 10:19
edited on: 2016-11-05 10:19

Tested again after several new commits in 0.9.1.0 dev master and the tag or variable used to generate the download filenames is definitely still set to "0.9.0". I wonder if @Melanie or @Diva can fix that?

(0031922)
aiaustin (developer)
2017-05-23 01:53
edited on: 2017-05-23 01:53

Ping on this. dev master content downloads still build 0.9.0 into the download filenames... e.g. today's is

     opensim-0.9.0-1408-g07e614a.zip


- Issue History
Date Modified Username Field Change
2016-10-31 06:11 aiaustin New Issue
2016-10-31 06:11 aiaustin Status new => assigned
2016-10-31 06:11 aiaustin Assigned To => Diva
2016-10-31 06:12 aiaustin Description Updated View Revisions
2016-10-31 06:58 melanie Note Added: 0031221
2016-10-31 06:58 melanie Status assigned => resolved
2016-10-31 06:58 melanie Fixed in Version => 0.9.0
2016-10-31 06:58 melanie Resolution open => fixed
2016-10-31 06:58 melanie Assigned To Diva => melanie
2016-11-03 02:22 aiaustin Note Added: 0031225
2016-11-03 02:22 aiaustin Status resolved => feedback
2016-11-03 02:22 aiaustin Resolution fixed => reopened
2016-11-03 04:01 aiaustin Note Edited: 0031225 View Revisions
2016-11-05 10:19 aiaustin Note Added: 0031246
2016-11-05 10:19 aiaustin Status feedback => assigned
2016-11-05 10:19 aiaustin Note Edited: 0031246 View Revisions
2017-05-23 01:53 aiaustin Note Added: 0031922
2017-05-23 01:53 aiaustin Note Edited: 0031922 View Revisions


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker